<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:StUF="http://www.egem.nl/StUF/StUF0301"
                xmlns:BG="http://www.egem.nl/StUF/sector/bg/0310">

    <xsl:template name="Generate_BG_macLa01">
        <xsl:param name="kvkNummer"/>
        <xsl:param name="datumAanvang"/>
        <xsl:param name="datumVoortzetting"/>
        <xsl:param name="datumEinde"/>
        <xsl:param name="registratieTijdstip"/>
        <xsl:param name="activiteiten"/>

        <BG:macLa01>
            <BG:stuurgegevens>
                <StUF:berichtcode>La01</StUF:berichtcode>
                <StUF:entiteittype>MAC</StUF:entiteittype>
            </BG:stuurgegevens>

            <BG:parameters>
                <StUF:indicatorVervolgvraag>false</StUF:indicatorVervolgvraag>
            </BG:parameters>

            <BG:antwoord>
                <BG:object StUF:entiteittype="MAC">
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'kvkNummer'"/>
                        <xsl:with-param name="elementSource" select="$kvkNummer"/>
                    </xsl:call-template>

                    <xsl:if test="$kvkNummer">
                        <xsl:call-template name="addStUFElementAdHoc">
                            <xsl:with-param name="elementName" select="'authentiek'"/>
                            <xsl:with-param name="elementValue" select="'J'"/>
                            <xsl:with-param name="isMetaElement" select="true()"/>
                        </xsl:call-template>
                    </xsl:if>

                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'datumAanvang'"/>
                        <xsl:with-param name="elementSource" select="$datumAanvang"/>
                    </xsl:call-template>

                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'datumVoortzetting'"/>
                        <xsl:with-param name="elementSource" select="$datumVoortzetting"/>
                    </xsl:call-template>

                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'datumEinde'"/>
                        <xsl:with-param name="elementSource" select="$datumEinde"/>
                    </xsl:call-template>

                    <xsl:call-template name="BG_addActiviteiten">
                        <xsl:with-param name="activiteiten" select="$activiteiten"/>
                        <xsl:with-param name="withVolgorde" select="true()"/>
                    </xsl:call-template>

                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'tijdstipRegistratie'"/>
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementSource" select="$registratieTijdstip"/>
                    </xsl:call-template>
                </BG:object>
            </BG:antwoord>
        </BG:macLa01>
    </xsl:template>

</xsl:stylesheet>