<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:StUF="http://www.egem.nl/StUF/StUF0301"
                xmlns:BG="http://www.egem.nl/StUF/sector/bg/0310">

    <xsl:template name="Generate_BG_nnpLa01">
        <xsl:param name="nnpId"/>
        <xsl:param name="ann.identificatie"/>
        <xsl:param name="sub.typering"/>
        <xsl:param name="statutaireNaam"/>
        <xsl:param name="inn.rechtsvorm"/>
        <xsl:param name="inn.statutaireZetel"/>
        <xsl:param name="datumAanvang"/>
        <xsl:param name="inn.datumVoortzetting"/>
        <xsl:param name="datumEinde"/>
        <xsl:param name="sub.correspondentieAdres"/>
        <xsl:param name="bezoekadres"/>
        <xsl:param name="sub.verblijfBuitenland"/>
        <xsl:param name="sub.telefoonnummer"/>
        <xsl:param name="sub.faxnummer"/>
        <xsl:param name="sub.emailadres"/>
        <xsl:param name="sub.url"/>
        <xsl:param name="sub.rekeningnummerBankGiro"/>
        <xsl:param name="tijdvakGeldigheid"/>
        <xsl:param name="tijdstipRegistratie"/>
        <xsl:param name="extraElementen"/>
        <xsl:param name="historieFormeel"/>

        <BG:nnpLa01>
            <BG:stuurgegevens>
                <StUF:berichtcode>La01</StUF:berichtcode>
                <StUF:entiteittype>NNP</StUF:entiteittype>
            </BG:stuurgegevens>
            <BG:parameters>
                <StUF:indicatorVervolgvraag>false</StUF:indicatorVervolgvraag>
            </BG:parameters>
            <BG:antwoord>
                <BG:object StUF:entiteittype="NNP">
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inn.nnpId'"/>
                        <xsl:with-param name="elementSource" select="$nnpId"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElementAdHoc">
                        <xsl:with-param name="elementName" select="'authentiek'"/>
                        <xsl:with-param name="elementValue" select="'J'"/>
                        <xsl:with-param name="isMetaElement" select="true()"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'ann.identificatie'"/>
                        <xsl:with-param name="elementSource" select="$ann.identificatie"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.typering'"/>
                        <xsl:with-param name="elementSource" select="$sub.typering"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'statutaireNaam'"/>
                        <xsl:with-param name="elementSource" select="$statutaireNaam"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inn.rechtsvorm'"/>
                        <xsl:with-param name="elementSource" select="$inn.rechtsvorm"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inn.statutaireZetel'"/>
                        <xsl:with-param name="elementSource" select="$inn.statutaireZetel"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'datumAanvang'"/>
                        <xsl:with-param name="elementSource" select="$datumAanvang"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'inn.datumVoortzetting'"/>
                        <xsl:with-param name="elementSource" select="$inn.datumVoortzetting"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'datumEinde'"/>
                        <xsl:with-param name="elementSource" select="$datumEinde"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.correspondentieAdres'"/>
                        <xsl:with-param name="elementSource" select="$sub.correspondentieAdres"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'bezoekadres'"/>
                        <xsl:with-param name="elementSource" select="$bezoekadres"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.verblijfBuitenland'"/>
                        <xsl:with-param name="elementSource" select="$sub.verblijfBuitenland"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.telefoonnummer'"/>
                        <xsl:with-param name="elementSource" select="$sub.telefoonnummer"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.faxnummer'"/>
                        <xsl:with-param name="elementSource" select="$sub.faxnummer"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.emailadres'"/>
                        <xsl:with-param name="elementSource" select="$sub.emailadres"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.url'"/>
                        <xsl:with-param name="elementSource" select="$sub.url"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.rekeningnummerBankGiro'"/>
                        <xsl:with-param name="elementSource" select="$sub.rekeningnummerBankGiro"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'tijdvakGeldigheid'"/>
                        <xsl:with-param name="elementSource" select="$tijdvakGeldigheid"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'tijdstipRegistratie'"/>
                        <xsl:with-param name="elementSource" select="$tijdstipRegistratie"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'extraElementen'"/>
                        <xsl:with-param name="elementSource" select="$extraElementen"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'historieFormeel'"/>
                        <xsl:with-param name="elementSource" select="$historieFormeel"/>
                    </xsl:call-template>
                </BG:object>
            </BG:antwoord>
        </BG:nnpLa01>
    </xsl:template>

</xsl:stylesheet>