<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:StUF="http://www.egem.nl/StUF/StUF0301"
                xmlns:BG="http://www.egem.nl/StUF/sector/bg/0310">

    <xsl:template name="Generate_BG_npsLa01">
        <xsl:param name="bsn"/>
        <xsl:param name="anp.identificatie"/>
        <xsl:param name="sub.typering"/>
        <xsl:param name="inp.a-nummer"/>
        <xsl:param name="geslachtsnaam"/>
        <xsl:param name="voorvoegselGeslachtsnaam"/>
        <xsl:param name="voorletters"/>
        <xsl:param name="voornamen"/>
        <xsl:param name="aanduidingNaamgebruik"/>
        <xsl:param name="geslachtsnaamPartner"/>
        <xsl:param name="voorvoegselGeslachtsnaamPartner"/>
        <xsl:param name="aanhefAanschrijving"/>
        <xsl:param name="voornamenAanschrijving"/>
        <xsl:param name="geslachtsnaamAanschrijving"/>
        <xsl:param name="adellijkeTitelPredikaat"/>
        <xsl:param name="geslachtsaanduiding"/>
        <xsl:param name="geboortedatum"/>
        <xsl:param name="inp.geboorteplaats"/>
        <xsl:param name="inp.geboorteLand"/>
        <xsl:param name="overlijdensdatum"/>
        <xsl:param name="inp.overlijdenplaats"/>
        <xsl:param name="inp.overlijdenLand"/>
        <xsl:param name="verblijfsadres"/>
        <xsl:param name="sub.verblijfBuitenland"/>
        <xsl:param name="inp.adresHerkomst"/>
        <xsl:param name="sub.correspondentieAdres"/>
        <xsl:param name="sub.telefoonnummer"/>
        <xsl:param name="sub.faxnummer"/>
        <xsl:param name="sub.emailadres"/>
        <xsl:param name="sub.url"/>
        <xsl:param name="sub.rekeningnummerBankGiro"/>
        <xsl:param name="inp.burgerlijkeStaat"/>
        <xsl:param name="inp.gemeenteVanInschrijving"/>
        <xsl:param name="inp.datumInschrijving"/>
        <xsl:param name="vbt.aanduidingVerblijfstitel"/>
        <xsl:param name="ing.datumVerkrijgingVerblijfstitel"/>
        <xsl:param name="ing.datumVerliesVerblijfstitel"/>
        <xsl:param name="inp.datumVestigingInNederland"/>
        <xsl:param name="inp.immigratieLand"/>
        <xsl:param name="inp.datumVertrekUitNederland"/>
        <xsl:param name="inp.emigratieLand"/>
        <xsl:param name="inp.signaleringReisdocument"/>
        <xsl:param name="inp.aanduidingBijzonderNederlanderschap"/>
        <xsl:param name="inp.buitenlandsReisdocument"/>
        <xsl:param name="ing.aanduidingEuropeesKiesrecht"/>
        <xsl:param name="ing.aanduidingUitgeslotenKiesrecht"/>
        <xsl:param name="ing.indicatieGezagMinderjarige"/>
        <xsl:param name="ing.indicatieCurateleRegister"/>
        <xsl:param name="inp.datumOpschortingBijhouding"/>
        <xsl:param name="inp.redenOpschortingBijhouding"/>
        <xsl:param name="inp.indicatieGeheim"/>
        <xsl:param name="ing.indicatieBlokkering"/>
        <xsl:param name="tijdvakGeldigheid"/>
        <xsl:param name="tijdstipRegistratie"/>
        <xsl:param name="extraElementen"/>
        <xsl:param name="historieFormeel"/>

        <BG:npsLa01>
            <BG:stuurgegevens>
                <StUF:berichtcode>La01</StUF:berichtcode>
                <StUF:entiteittype>NPS</StUF:entiteittype>
            </BG:stuurgegevens>
            <BG:parameters>
                <StUF:indicatorVervolgvraag>false</StUF:indicatorVervolgvraag>
            </BG:parameters>
            <BG:antwoord>
                <BG:object StUF:entiteittype="NPS">
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.bsn'"/>
                        <xsl:with-param name="elementSource" select="$bsn"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElementAdHoc">
                        <xsl:with-param name="elementName" select="'authentiek'"/>
                        <xsl:with-param name="elementValue" select="'J'"/>
                        <xsl:with-param name="isMetaElement" select="true()"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'anp.identificatie'"/>
                        <xsl:with-param name="elementSource" select="$anp.identificatie"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.typering'"/>
                        <xsl:with-param name="elementSource" select="$sub.typering"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.a-nummer'"/>
                        <xsl:with-param name="elementSource" select="$inp.a-nummer"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'geslachtsnaam'"/>
                        <xsl:with-param name="elementSource" select="$geslachtsnaam"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'voorvoegselGeslachtsnaam'"/>
                        <xsl:with-param name="elementSource" select="$voorvoegselGeslachtsnaam"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'voorletters'"/>
                        <xsl:with-param name="elementSource" select="$voorletters"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'voornamen'"/>
                        <xsl:with-param name="elementSource" select="$voornamen"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'aanduidingNaamgebruik'"/>
                        <xsl:with-param name="elementSource" select="$aanduidingNaamgebruik"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'geslachtsnaamPartner'"/>
                        <xsl:with-param name="elementSource" select="$geslachtsnaamPartner"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'voorvoegselGeslachtsnaamPartner'"/>
                        <xsl:with-param name="elementSource" select="$voorvoegselGeslachtsnaamPartner"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'aanhefAanschrijving'"/>
                        <xsl:with-param name="elementSource" select="$aanhefAanschrijving"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'voornamenAanschrijving'"/>
                        <xsl:with-param name="elementSource" select="$voornamenAanschrijving"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'geslachtsnaamAanschrijving'"/>
                        <xsl:with-param name="elementSource" select="$geslachtsnaamAanschrijving"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'adellijkeTitelPredikaat'"/>
                        <xsl:with-param name="elementSource" select="$adellijkeTitelPredikaat"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'geslachtsaanduiding'"/>
                        <xsl:with-param name="elementSource" select="$geslachtsaanduiding"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'geboortedatum'"/>
                        <xsl:with-param name="elementSource" select="$geboortedatum"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.geboorteplaats'"/>
                        <xsl:with-param name="elementSource" select="$inp.geboorteplaats"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.geboorteLand'"/>
                        <xsl:with-param name="elementSource" select="$inp.geboorteLand"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'overlijdensdatum'"/>
                        <xsl:with-param name="elementSource" select="$overlijdensdatum"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.overlijdenplaats'"/>
                        <xsl:with-param name="elementSource" select="$inp.overlijdenplaats"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.overlijdenLand'"/>
                        <xsl:with-param name="elementSource" select="$inp.overlijdenLand"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'verblijfsadres'"/>
                        <xsl:with-param name="elementSource" select="$verblijfsadres"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.verblijfBuitenland'"/>
                        <xsl:with-param name="elementSource" select="$sub.verblijfBuitenland"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.adresHerkomst'"/>
                        <xsl:with-param name="elementSource" select="$inp.adresHerkomst"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.correspondentieAdres'"/>
                        <xsl:with-param name="elementSource" select="$sub.correspondentieAdres"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.telefoonnummer'"/>
                        <xsl:with-param name="elementSource" select="$sub.telefoonnummer"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.faxnummer'"/>
                        <xsl:with-param name="elementSource" select="$sub.faxnummer"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.emailadres'"/>
                        <xsl:with-param name="elementSource" select="$sub.emailadres"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.url'"/>
                        <xsl:with-param name="elementSource" select="$sub.url"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'sub.rekeningnummerBankGiro'"/>
                        <xsl:with-param name="elementSource" select="$sub.rekeningnummerBankGiro"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.burgerlijkeStaat'"/>
                        <xsl:with-param name="elementSource" select="$inp.burgerlijkeStaat"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.gemeenteVanInschrijving'"/>
                        <xsl:with-param name="elementSource" select="$inp.gemeenteVanInschrijving"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'inp.datumInschrijving'"/>
                        <xsl:with-param name="elementSource" select="$inp.datumInschrijving"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'vbt.aanduidingVerblijfstitel'"/>
                        <xsl:with-param name="elementSource" select="$vbt.aanduidingVerblijfstitel"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'ing.datumVerkrijgingVerblijfstitel'"/>
                        <xsl:with-param name="elementSource" select="$ing.datumVerkrijgingVerblijfstitel"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'ing.datumVerliesVerblijfstitel'"/>
                        <xsl:with-param name="elementSource" select="$ing.datumVerliesVerblijfstitel"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'inp.datumVestigingInNederland'"/>
                        <xsl:with-param name="elementSource" select="$inp.datumVestigingInNederland"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.immigratieLand'"/>
                        <xsl:with-param name="elementSource" select="$inp.immigratieLand"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'inp.datumVertrekUitNederland'"/>
                        <xsl:with-param name="elementSource" select="$inp.datumVertrekUitNederland"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.emigratieLand'"/>
                        <xsl:with-param name="elementSource" select="$inp.emigratieLand"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.signaleringReisdocument'"/>
                        <xsl:with-param name="elementSource" select="$inp.signaleringReisdocument"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.aanduidingBijzonderNederlanderschap'"/>
                        <xsl:with-param name="elementSource" select="$inp.aanduidingBijzonderNederlanderschap"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.buitenlandsReisdocument'"/>
                        <xsl:with-param name="elementSource" select="$inp.buitenlandsReisdocument"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'ing.aanduidingEuropeesKiesrecht'"/>
                        <xsl:with-param name="elementSource" select="$ing.aanduidingEuropeesKiesrecht"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'ing.aanduidingUitgeslotenKiesrecht'"/>
                        <xsl:with-param name="elementSource" select="$ing.aanduidingUitgeslotenKiesrecht"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'ing.indicatieGezagMinderjarige'"/>
                        <xsl:with-param name="elementSource" select="$ing.indicatieGezagMinderjarige"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'ing.indicatieCurateleRegister'"/>
                        <xsl:with-param name="elementSource" select="$ing.indicatieCurateleRegister"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'inp.datumOpschortingBijhouding'"/>
                        <xsl:with-param name="elementSource" select="$inp.datumOpschortingBijhouding"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.redenOpschortingBijhouding'"/>
                        <xsl:with-param name="elementSource" select="$inp.redenOpschortingBijhouding"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'inp.indicatieGeheim'"/>
                        <xsl:with-param name="elementSource" select="$inp.indicatieGeheim"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'ing.indicatieBlokkering'"/>
                        <xsl:with-param name="elementSource" select="$ing.indicatieBlokkering"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'tijdvakGeldigheid'"/>
                        <xsl:with-param name="elementSource" select="$tijdvakGeldigheid"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'tijdstipRegistratie'"/>
                        <xsl:with-param name="elementSource" select="$tijdstipRegistratie"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementNS" select="'http://www.egem.nl/StUF/StUF0301'"/>
                        <xsl:with-param name="elementName" select="'extraElementen'"/>
                        <xsl:with-param name="elementSource" select="$extraElementen"/>
                    </xsl:call-template>
                    <xsl:call-template name="addStUFElement">
                        <xsl:with-param name="elementName" select="'historieFormeel'"/>
                        <xsl:with-param name="elementSource" select="$historieFormeel"/>
                    </xsl:call-template>
                </BG:object>
            </BG:antwoord>
        </BG:npsLa01>
    </xsl:template>

</xsl:stylesheet>